Subject: Re: Regression: cannot edit after intent-to-add

From: Kyle Meyer <[email-masked]>
Date: Tue, 03 Nov 2020 12:44:23 -0500

Simon Richter writes:

> git-add -p now shows me both lines as added, but does not allow me to edit.
> If I want to create an intermediate commit adding just one of the lines, I
> have to edit the actual file.
>
> This used to work in older versions, as I remember using this technique for
> a while and recommending it to others.
>
> Before I do a deep-dive into a codebase I haven't looked at in years: can
> this be re-added easily?

Which version of git are you using?  I think this was already fixed by
75a009dc29 (add -p: fix editing of intent-to-add paths, 2020-09-09),
which was included in v2.29.0.

https://lore.kernel.org/git/[email-masked]/